io.vertx.json.schema.common

## Class RecursiveAnchorValidatorContextDecorator

- java.lang.Object
- - io.vertx.json.schema.common.RecursiveAnchorValidatorContextDecorator

- All Implemented Interfaces:
    ValidatorContext

      public class RecursiveAnchorValidatorContextDecorator
      extends Object
      implements ValidatorContext

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Set<Integer>` | `evaluatedItems()`
    `Set<String>` | `evaluatedProperties()`
    `JsonPointer` | `getRecursiveAnchor()`
    `String` | `inputKey()`
    `ValidatorContext` | `lowerLevelContext(int key)`
    `ValidatorContext` | `lowerLevelContext(String key)`
    `void` | `markEvaluatedItem(int index)`
    `void` | `markEvaluatedProperty(String propertyName)`
    `ValidatorContext` | `parent()`
    `ValidatorContext` | `startRecording()`
    `ValidatorContext` | `unwrap()`
    `static ValidatorContext` | `unwrap(ValidatorContext context)`
    `static ValidatorContext` | `wrap(ValidatorContext context, JsonPointer recursiveAnchor)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### markEvaluatedItem

          public void markEvaluatedItem(int index)

      Specified by:
        `markEvaluatedItem` in interface `ValidatorContext`

    - #### markEvaluatedProperty

          public void markEvaluatedProperty(String propertyName)

      Specified by:
        `markEvaluatedProperty` in interface `ValidatorContext`

    - #### evaluatedItems

          public Set<Integer> evaluatedItems()

      Specified by:
        `evaluatedItems` in interface `ValidatorContext`

    - #### evaluatedProperties

          public Set<String> evaluatedProperties()

      Specified by:
        `evaluatedProperties` in interface `ValidatorContext`

    - #### startRecording

          public ValidatorContext startRecording()

      Specified by:
        `startRecording` in interface `ValidatorContext`

    - #### lowerLevelContext

          public ValidatorContext lowerLevelContext(String key)

      Specified by:
        `lowerLevelContext` in interface `ValidatorContext`

    - #### lowerLevelContext

          public ValidatorContext lowerLevelContext(int key)

      Specified by:
        `lowerLevelContext` in interface `ValidatorContext`

    - #### parent

          public ValidatorContext parent()

      Specified by:
        `parent` in interface `ValidatorContext`

    - #### inputKey

          public String inputKey()

      Specified by:
        `inputKey` in interface `ValidatorContext`

    - #### getRecursiveAnchor

          public JsonPointer getRecursiveAnchor()

    - #### unwrap

          public ValidatorContext unwrap()

    - #### wrap

          public static ValidatorContext wrap(ValidatorContext context,
                                              JsonPointer recursiveAnchor)

    - #### unwrap

          public static ValidatorContext unwrap(ValidatorContext context)

Copyright © 2021 Eclipse. All rights reserved.